org.apache.tapestry5.plastic

## Class PlasticUtils

- java.lang.Object
- - org.apache.tapestry5.plastic.PlasticUtils

-     public class PlasticUtils
      extends Object

  Utilities for user code making use of Plastic.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Method` | `TO_STRING` The `toString()` method inherited from Object.
    `static MethodDescription` | `TO_STRING_DESCRIPTION` The MethodDescription version of `toString()`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlasticUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Method` | `getMethod(Class declaringClass, String name, Class... parameterTypes)` Convenience for getting a method from a class.
    `static MethodDescription` | `getMethodDescription(Class declaringClass, String name, Class... parameterTypes)` Uses `getMethod(Class, String, Class...)` and wraps the result as a `MethodDescription`.
    `static boolean` | `isPrimitive(String typeName)` Determines if the provided type name is a primitive type.
    `static String` | `nextUID()` Returns a string that can be used as part of a Java identifier and is unique for this JVM.
    `static String` | `toTypeName(Class type)` Converts a type (including array and primitive types) to their type name (the way they are represented in Java source files).
    `static String[]` | `toTypeNames(Class[] types)` Converts a number of types (usually, arguments to a method or constructor) into their type names.
    `static Class` | `toWrapperType(Class type)` Gets the wrapper type for a given type (if primitive)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TO_STRING

          public static final Method TO_STRING

      The `toString()` method inherited from Object.

    - #### TO_STRING_DESCRIPTION

          public static final MethodDescription TO_STRING_DESCRIPTION

      The MethodDescription version of `toString()`.

  - ### Constructor Detail

    - #### PlasticUtils

          public PlasticUtils()

  - ### Method Detail

    - #### nextUID

          public static String nextUID()

      Returns a string that can be used as part of a Java identifier and is unique for this JVM. Currently returns a hexadecimal string and initialized by System.nanoTime() (but both those details may change in the future). Note that the returned value may start with a numeric digit, so it should be used as a suffix, not prefix of a Java identifier.
      Returns:
        unique id that can be used as part of a Java identifier

    - #### toTypeName

          public static String toTypeName(Class type)

      Converts a type (including array and primitive types) to their type name (the way they are represented in Java source files).

    - #### toTypeNames

          public static String[] toTypeNames(Class[] types)

      Converts a number of types (usually, arguments to a method or constructor) into their type names.

    - #### toWrapperType

          public static Class toWrapperType(Class type)

      Gets the wrapper type for a given type (if primitive)
      Parameters:
        `type` - type to look up
      Returns:
        the input type for non-primitive type, or corresponding wrapper type (Boolean.class for boolean.class, etc.)

    - #### getMethod

          public static Method getMethod(Class declaringClass,
                                         String name,
                                         Class... parameterTypes)

      Convenience for getting a method from a class.
      Parameters:
        `declaringClass` - containing class
        `name` - name of method
        `parameterTypes` - types of parameters
      Returns:
        the Method
      Throws:
        `RuntimeException` - if any error (such as method not found)

    - #### getMethodDescription

          public static MethodDescription getMethodDescription(Class declaringClass,
                                                               String name,
                                                               Class... parameterTypes)

      Uses `getMethod(Class, String, Class...)` and wraps the result as a `MethodDescription`.
      Parameters:
        `declaringClass` - containing class
        `name` - name of method
        `parameterTypes` - types of parameters
      Returns:
        description for method
      Throws:
        `RuntimeException` - if any error (such as method not found)

    - #### isPrimitive

          public static boolean isPrimitive(String typeName)

      Determines if the provided type name is a primitive type.
      Parameters:
        `typeName` - Java type name, such as "boolean" or "java.lang.String"
      Returns:
        true if primitive

5.6.0 - Copyright © 2003-2020 The Apache Software Foundation.